import { jsx } from "react/jsx-runtime";
import { TokenNPM as TokenNPM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNPM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "NPM", "data-name": "TokenNPM", ...props, children: /* @__PURE__ */ jsx(TokenNPM$1, { variant }) });
  }
);
TokenNPM.displayName = "TokenNPM";
Object.assign(TokenNPM, { isGdsIcon: true });
export {
  TokenNPM
};
